<template lang="pug">
li.divider
  z-column.col-mx-auto(:size="$mq | mq({ sm: 12, md: 11 })")
    z-columns.ml-2.mb-2(oneline v-intro="'Get access to most of the information you will need to best use OLKi, and be part of its community.'")
      z-column(:size="3")
        h6 {{ $t('about this instance') | capitalize({ onlyFirstLetter: true }) }}
        ul.menu
          li.menu-item
            nuxt-link.menu-item(:to="{ path: localePath('about') }") {{ $t('overview') | capitalize({ onlyFirstLetter: true }) }}
          li.menu-item
            a.menu-item(:href="`https://framagit.org/synalp/olki/olki/tags/${getInstanceVersion}`" target="_blank") {{ $t('version') | capitalize }} {{ getInstanceVersion }}
          li.menu-item
            a.menu-item.disable(href="#") {{ $t('use another instance') | capitalize({ onlyFirstLetter: true }) }}
      z-column(:size="3")
        h6 {{ $t('using OLKi') | capitalize({ onlyFirstLetter: true }) }}
        ul.menu
          li.menu-item
            a.menu-item(href="https://olki-docs.loria.fr/" target="_blank") {{ $t('documentation') | capitalize({ onlyFirstLetter: true }) }}
          //-li.menu-item
            a.menu-item(href="#") {{ $t('take a tour') | capitalize({ onlyFirstLetter: true }) }}
      z-column(:size="3")
        h6 {{ $t('getting help') | capitalize({ onlyFirstLetter: true }) }}
        ul.menu
          li.menu-item
            a.menu-item(href="https://riot.im/app/#/group/+olki:matrix.org" target="_blank") {{ $t('chat room') | capitalize({ onlyFirstLetter: true }) }}
          li.menu-item
            a.menu-item(href="https://framagit.org/synalp/olki/olki/issues" target="_blank") {{ $t('issue tracker') | capitalize({ onlyFirstLetter: true }) }}
          li.menu-item
            a.menu-item(@click="() => $store.commit('instance/resetDismissableHelpers')") {{ $t('show back helpers') | capitalize({ onlyFirstLetter: true }) }}
      z-column(:size="3")
        h6 {{ $t('about OLKi') | capitalize({ onlyFirstLetter: true }) }}
        ul.menu
          li.menu-item
            a.menu-item(href="https://olki.loria.fr/platform/" target="_blank") {{ $t('official website') | capitalize({ onlyFirstLetter: true }) }}
          li.menu-item
            a.menu-item(href="https://olki.loria.fr/platform/group-sessions.html") {{ $t('contribute') | capitalize({ onlyFirstLetter: true }) }}
          li.menu-item
            a.menu-item(href="https://framagit.org/synalp/olki/olki" target="_blank") {{ $t('source code') | capitalize({ onlyFirstLetter: true }) }}
  z-column.col-mx-auto(:size="$mq | mq({ sm: 12, md: 11 })")
    z-columns.ml-2.mb-2(oneline)
      z-column(:size="3" v-intro="`OLKi has support for multiple languages, and should automatically choose the one advertised by your browser. Just know you can switch manually there. And if you know a language that isn't translated fully, you can contribute through our translation platform!`")
        h6 {{ $t('change language') | capitalize({ onlyFirstLetter: true }) }}
        ul.menu
          li.menu-item
            select.form-select(name="languages" @change="switchLang($event)")
              option(v-for="locale in availableLocales" :value="locale.code" :key="locale.code" :selected="$i18n.locale == locale.code") {{ locale.name }}
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters('instance', ['getInstanceVersion']),
    availableLocales() {
      return this.$i18n.locales
    }
  },
  methods: {
    switchLang(event) {
      const locale = event.target.value
      if (locale === this.$store.state.i18n.locale) {
        return
      }

      this.$i18n.setLocaleCookie(locale)

      // update store info
      this.$store.commit('i18n/I18N_SET_LOCALE', locale)

      // fetch new locale file
      import(`../lang/${locale}`).then(module => {
        // update i18n's locale instance
        this.$i18n.locale = locale
        // set new messages from new locale file
        this.$i18n.setLocaleMessage(locale, module.default)
        // update url to point to new path, without reloading the page
        window.history.replaceState('', '', this.switchLocalePath(locale))
      })
    }
  }
}
</script>

<style scoped>
.col-oneline {
  flex-direction: row !important;
  overflow-x: unset;
  margin-top: 0.8rem;
}
h6 {
  padding-left: 0.8rem;
}
.menu {
  background: transparent;
  box-shadow: none;
  min-width: unset;
  width: auto;
}
</style>
